curl --request POST \
--url https://api.extole.io/v1/audiences/{audience_id}/unarchive \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v1/audiences/{audience_id}/unarchive"
headers = {"Authorization": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v1/audiences/{audience_id}/unarchive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"enabled": true,
"id": "<string>",
"name": "<string>",
"tags": [
"<string>"
]
}Unarchive audience
Restores a previously archived audience so it appears in default GET /v1/audiences and GET /v1/audiences/built responses again. Fails with 400 audience_not_found if the audience does not exist or has been hard-deleted via POST /v1/audiences/{audience_id}/delete.
Authorizations
Path Parameters
Response
Unarchived audience.
Stored audience definition. Fields name and enabled are unevaluated and appear in buildtime-evaluatable form.
Show child attributes
Show child attributes
Whether the audience is currently evaluated at runtime. Buildtime expressions use AudienceBuildtimeContext.
Stable Extole identifier for the audience.
Display name for the audience, in the same buildtime-evaluatable form that was supplied on create or update. Buildtime expressions use AudienceBuildtimeContext.
Free-form tags applied to the audience.
